import java.io.*;
import java.text.NumberFormat;

/** Testa le funzionalit di Investimento */
public class TestInvestimento  {
  public static void main(String argv[]) throws IOException {
    BufferedReader console = new BufferedReader(new InputStreamReader(System.
      in));
    System.out.println("Inserisci il saldo iniziale del tuo investimento");
    double saldoIniziale = Double.parseDouble(console.readLine());
    System.out.println("Inserisci il tasso di interesse fisso annuo");
    double rate = Double.parseDouble(console.readLine());
    Investimento myInv = new Investimento(saldoIniziale, rate);
    System.out.println(
      "Quale saldo vorresti raggiungere con questo investimento?");
    double desiredBalance = Double.parseDouble(console.
      readLine());
    myInv.waitForBalance(desiredBalance);
    // Creo un formattatore di numeri che inserisce sempre due cifre
    // decimali arrotondando opportunamente
    NumberFormat formatter = NumberFormat.getNumberInstance();
    formatter.setMaximumFractionDigits(2);
    formatter.setMinimumFractionDigits(2);
    System.out.println("Ok... fra " + myInv.getYears() + " anni avrai " +
      formatter.format(myInv.getBalance()) + " euro. Complimenti!");
  }
}
